summaryrefslogtreecommitdiff
path: root/src/Persistent_cohomology/test/README
diff options
context:
space:
mode:
Diffstat (limited to 'src/Persistent_cohomology/test/README')
-rw-r--r--src/Persistent_cohomology/test/README29
1 files changed, 29 insertions, 0 deletions
diff --git a/src/Persistent_cohomology/test/README b/src/Persistent_cohomology/test/README
new file mode 100644
index 00000000..0c41feed
--- /dev/null
+++ b/src/Persistent_cohomology/test/README
@@ -0,0 +1,29 @@
+To compile:
+***********
+
+cd /path-to-gudhi/
+cmake .
+cd /path-to-test/
+make
+
+To launch with details:
+***********************
+
+SINGLE FIELD
+------------
+./Persistent_cohomology_test_unit --report_level=detailed --log_level=all
+
+ ==> echo $? returns 0 in case of success (non-zero otherwise)
+
+MULTI FIELD
+-----------
+./Persistent_cohomology_test_unit_multi_field --report_level=detailed --log_level=all
+
+ ==> echo $? returns 0 in case of success (non-zero otherwise)
+
+BETTI NUMBERS
+-------------
+./Persistent_cohomology_test_betti_numbers --report_level=detailed --log_level=all
+
+ ==> echo $? returns 0 in case of success (non-zero otherwise)
+